import React, { useCallback, useRef } from "react";
import { Link } from "react-router-dom";
import { Navigation } from "swiper/modules";
import { Swiper, SwiperSlide } from "swiper/react";

import headerCube from "assets/images/landingClub/HeaderCube.webp";
import arrowButton from "assets/images/landingClub/arrowButton.svg";
import arrowEvent from "assets/images/landingClub/arrowEvent.svg";
import arrowItem from "assets/images/landingClub/arrowItem.svg";
import arrowMission from "assets/images/landingClub/arrowMission.svg";
import arrowSlider from "assets/images/landingClub/arrowSlider.svg";
import bgBlack from "assets/images/landingClub/bgBlack.webp";
import bgOrange from "assets/images/landingClub/bgOrange.webp";
import bgWhite from "assets/images/landingClub/bgWhite.webp";
import bgYellow from "assets/images/landingClub/bgYellow.webp";
import blackWhiteCube from "assets/images/landingClub/blackWhiteCube.webp";
import blackYellowCube from "assets/images/landingClub/blackYellowCube.webp";
import elementBg2 from "assets/images/landingClub/elementBg2.webp";
import elementBg3 from "assets/images/landingClub/elementBg3.webp";
import event2 from "assets/images/landingClub/event2.png";
import event from "assets/images/landingClub/event.png";
import footerBg from "assets/images/landingClub/footerBg.webp";
import footerCube from "assets/images/landingClub/footerCube.webp";
import headerLogo2 from "assets/images/landingClub/headerLogoClub2.svg";
import headerLogo1 from "assets/images/landingClub/headerLogoClub.svg";
import headerText from "assets/images/landingClub/headerText.svg";
import human from "assets/images/landingClub/human.png";
import humanShadow from "assets/images/landingClub/humanShadow.png";
import iconCalendar from "assets/images/landingClub/iconCalendar.svg";
import iconPosition from "assets/images/landingClub/iconPosition.svg";
import iconTg from "assets/images/landingClub/iconTg.svg";
import iconVk from "assets/images/landingClub/iconVk.svg";
import newsImg from "assets/images/landingClub/news.png";
import orangeBlackCube from "assets/images/landingClub/orangeBlackCube.webp";
import questionMark from "assets/images/landingClub/questionMark.webp";
import slider2 from "assets/images/landingClub/slider2.png";
import slider from "assets/images/landingClub/slider.png";

import "./landingClub.scss";

export const LandingClub = () => {
  const sliderRef1 = useRef(null);
  const sliderRef2 = useRef(null);

  const handlePrev = useCallback((ref) => {
    if (!ref.current) return;
    ref.current.swiper.slidePrev();
  }, []);

  const handleNext = useCallback((ref) => {
    if (!ref.current) return;
    ref.current.swiper.slideNext();
  }, []);

  const subjects = [
    "сообщество единомышленников",
    "наставничество",
    "поддержка молодых предпринимателей",
    "советы бывалых",
    "государственная поддержка",
    "развитие бизнеса в регионе",
    "партнерство",
    "бизнес встречи"
  ];

  const missionSubjects = [
    "необходимые <br />мероприятия",
    "нетворкинг и новые <br />знакомства",
    "информационную <br />поддержку",
    "консультации опытных <br />предпринимателей и наставников",
    "возможность получить финансирование <br />в собственные бизнес-проекты"
  ];

  const members = [
    {
      name: "Кирилл Бойко",
      position: "Донецк",
      avatar: slider,
      content:
        "Основатель и глава всего что можно придумать! Бог основания и создания! Великий всея кода и управления тупых и не очень людей! Владыка терпения и мудрости!",
      id: 11
    },
    {
      name: "Виктор Батищев",
      position: "Донецк",
      avatar: slider2,
      content:
        "Великий ответственности и креативности! Наблюдатель за стадом неразумным. Альтруистический деятель! Активатор и мотиватор великих процессов!",
      id: 12
    },
    {
      name: "Кирилл Бойко",
      position: "Донецк",
      avatar: slider,
      content:
        "Основатель и глава всего что можно придумать! Бог основания и создания! Великий всея кода и управления тупых и не очень людей! Владыка терпения и мудрости!",
      id: 13
    },
    {
      name: "Виктор Батищев",
      position: "Донецк",
      avatar: slider2,
      content:
        "Великий ответственности и креативности! Наблюдатель за стадом неразумным. Альтруистический деятель! Активатор и мотиватор великих процессов!",
      id: 14
    }
  ];

  const news = [
    {
      title: "6 окружных мероприятий клуба",
      img: newsImg,
      content:
        "Встречи предпринимателей с представителями региональных сетевых торговых площадок в формате круглых столов. Стратегические сессии и лекции на тему ведения предпринимательской деятельности с учётом территориальных особенностей федерального округа.<br /><br />Встречи предпринимателей с представителями региональных сетевых торговых площадок в формате круглых столов Стратегические сессии и лекции на тему ведения предпринимательской деятельности с учётом",
      id: 15
    },
    {
      title: "6 окружных мероприятий клуба",
      img: newsImg,
      content:
        "Встречи предпринимателей с представителями региональных сетевых торговых площадок в формате круглых столов. Стратегические сессии и лекции на тему ведения предпринимательской деятельности с учётом территориальных особенностей федерального округа.<br /><br />Встречи предпринимателей с представителями региональных сетевых торговых площадок в формате круглых столов Стратегические сессии и лекции на тему ведения предпринимательской деятельности с учётом",
      id: 16
    },
    {
      title: "6 окружных мероприятий клуба",
      img: newsImg,
      content:
        "Встречи предпринимателей с представителями региональных сетевых торговых площадок в формате круглых столов. Стратегические сессии и лекции на тему ведения предпринимательской деятельности с учётом территориальных особенностей федерального округа.<br /><br />Встречи предпринимателей с представителями региональных сетевых торговых площадок в формате круглых столов Стратегические сессии и лекции на тему ведения предпринимательской деятельности с учётом",
      id: 17
    },
    {
      title: "6 окружных мероприятий клуба",
      img: newsImg,
      content:
        "Встречи предпринимателей с представителями региональных сетевых торговых площадок в формате круглых столов. Стратегические сессии и лекции на тему ведения предпринимательской деятельности с учётом территориальных особенностей федерального округа.<br /><br />Встречи предпринимателей с представителями региональных сетевых торговых площадок в формате круглых столов Стратегические сессии и лекции на тему ведения предпринимательской деятельности с учётом",
      id: 18
    }
  ];

  return (
    <section className="club">
      <section className="club-header">
        <div className="header-container">
          <img className="header-cube" src={headerCube} alt="" />
          <div className="header__logo">
            <img src={headerLogo1} alt="" />
            <img src={headerText} alt="" />
            <img src={headerLogo2} alt="" />
          </div>
          <nav className="header-nav">
            <Link to="#">о клубе</Link>
            <Link to="#">ценности</Link>
            <Link to="#">клуб в лицах</Link>
            <Link to="#">мероприятия</Link>
            <Link to="#">новости клуба</Link>
            <Link to="#">контакты</Link>
          </nav>
        </div>
      </section>

      <section className="club-title">
        <img className="title-bg--bottom" src={bgWhite} alt="" />
        <div className="title-container">
          <img className="title-bg--top" src={bgWhite} alt="" />
          <h3 className="title__name">
            <span>клуб</span> молодых <p>предпринимателей</p>
          </h3>
          <h1 className="title__header">
            <span>ДОН</span>
            <img src={human} alt="" className="header__human" />
            <img src={humanShadow} alt="" className="header__human-shadow" />
            <img src={orangeBlackCube} alt="" className="header__human-cube" />
            ЕЦК
          </h1>
        </div>
      </section>

      <section className="club-description">
        <div className="description-container">
          <img className="description-bg" src={bgBlack} alt="" />
          <div className="description-subtitle">
            <p>сообщество сильного окружения</p>
          </div>

          <button className="club__button">
            Вступить в клуб
            <div>
              <img src={arrowButton} alt="" />
            </div>
          </button>

          <div className="description-content">
            <img
              className="description-content__cube"
              src={blackYellowCube}
              alt=""
            />
            <h3 className="description-content__title">
              клуб - <br />
              <span>это:</span>
            </h3>

            <div className="description-content__text">
              <p>
                Сообщество предпринимателей, в котором каждый может найти
                бизнес-партнёров и наставников, повысить узнаваемость своей
                компании и развить своё дело на региональном и федеральном
                уровнях <br /> <br /> Сообщество предпринимателей, в котором
                каждый может найти бизнес-партнёров и наставников, повысить
                узнаваемость своей компании и развить своё дело на региональном
                и федеральном уровнях
              </p>
              <div className="description-content__subjects">
                {subjects.map((subject) => {
                  return (
                    <span className="subject" key={subject}>
                      {subject}
                    </span>
                  );
                })}
              </div>
            </div>
          </div>
        </div>
      </section>

      <section className="club-mission">
        <div className="mission-container">
          <img className="mission-bg-element" src={elementBg2} alt="" />
          <img className="mission-cube" src={blackWhiteCube} alt="" />
          <img className="mission-bg" src={bgOrange} alt="" />

          <div className="mission-header">
            <h3 className="mission-header__title">
              наша
              <br />
              миссия:
            </h3>

            <div className="mission-header__text">
              <p>
                вдохновлять молодых людей делать бизнес в России, брать
                ответственность за себя, за своё окружение, за свой регион и
                будущее страны!
              </p>
            </div>
          </div>
          <h4 className="mission__subtitle">
            поэтому мы создали уникальную среду,
            <br />
            где ты получишь:
          </h4>
          <div className="mission-content">
            <div className="mission-content__subjects">
              {missionSubjects.map((subject) => {
                return (
                  <div key={subject} className="subject">
                    <div className="subject__img">
                      <img src={arrowMission} alt="" />
                    </div>
                    <span
                      className="subject__text"
                      dangerouslySetInnerHTML={{
                        __html: subject
                      }}
                    ></span>
                  </div>
                );
              })}
            </div>
            <button className="mission-content__button">
              Вступить в клуб
              <div>
                <img src={arrowButton} alt="" />
              </div>
            </button>
          </div>
        </div>
      </section>

      <section className="club-members">
        <img className="members-cube" src={blackYellowCube} alt="" />
        <div className="members-container">
          <img className="members-bg-element" src={elementBg3} alt="" />
          <img className="members-bg" src={bgYellow} alt="" />

          <div className="members-header">
            <span className="members-header__subtitle">донецкий</span>
            <h3 className="members-header__title">клуб в лицах:</h3>
          </div>

          <div className="members-content">
            <button
              onClick={() => handlePrev(sliderRef1)}
              className="members-content__button members-content__button--left"
            >
              <img src={arrowSlider} alt="" />
            </button>
            <div className="members-content-slider">
              <Swiper
                ref={sliderRef1}
                modules={[Navigation]}
                spaceBetween={30}
                slidesPerView={3}
              >
                {members.map((member) => (
                  <SwiperSlide key={member.id}>
                    <div className="slider-item">
                      <img
                        className="slider-item__img"
                        src={member.avatar}
                        alt=""
                      />
                      <div className="slider-item-info">
                        <span className="slider-item__title">
                          {member.name}
                        </span>
                        <span className="slider-item__subtitle">
                          {member.position}
                        </span>
                      </div>
                      <p className="slider-item__text">{member.content}</p>
                      <div className="slider-item__arrow">
                        <img src={arrowItem} alt="" />
                      </div>
                    </div>
                  </SwiperSlide>
                ))}
                <SwiperSlide>
                  <div className="slider-item--end">
                    <img
                      className="slider-item--end__img"
                      src={questionMark}
                      alt=""
                    />
                    <span className="slider-item--end__title">
                      Может это место для тебя?
                    </span>
                    <button className="slider-item--end__button">
                      Вступить в клуб
                    </button>
                  </div>
                </SwiperSlide>
              </Swiper>
            </div>
            <button
              onClick={() => handleNext(sliderRef1)}
              className="members-content__button members-content__button--right"
            >
              <img src={arrowSlider} alt="" />
            </button>
          </div>
        </div>
      </section>

      <section className="club-event">
        <div className="event-container">
          <img className="event-cube" src={blackWhiteCube} alt="" />

          <div className="event-header">
            <span className="event-header__subtitle">Спеши посетить</span>
            <h3 className="event-header__title">
              Мероприятия <br />в Донецке
            </h3>
          </div>

          <div className="event-content">
            <div className="content-tomorrow">
              <h4 className="content__title">
                16.08 <br />
                <span>Завтра</span>
              </h4>
              <div className="tomorrow-item">
                <img className="tomorrow-item__img" src={event} alt="" />
                <div className="tomorrow-item-info">
                  <span className="tomorrow-item__title">Гульки гуляльные</span>
                  <span className="tomorrow-item__subtitle">Донецк</span>
                </div>
                <p className="tomorrow-item__text">
                  мероприятие бла бла бла бла бла мероприятие бла бла бла бла
                  бла мероприятие бла бла бла бла бла мероприятие бла бла бла
                  бла бла мероприятие бла бла бла бла бла мероприятие бла
                  бламероприятие бла
                </p>
                <div className="tomorrow-item__arrow">
                  <img src={arrowEvent} alt="" />
                </div>
              </div>
            </div>
            <div className="content-month">
              <h4 className="content__title">
                Август <img src={iconCalendar} alt="" /> <br />
                <span>месяц</span>
              </h4>
              <div className="month-container">
                <div className="month-item">
                  <img className="month-item__img" src={event2} alt="" />
                  <div className="month-item-container">
                    <div className="month-item-info">
                      <span className="month-item__date">
                        <img src={iconCalendar} alt="" />
                        17.08.2024
                      </span>
                      <span className="month-item__position">
                        <img src={iconPosition} alt="" />
                        Рамада
                      </span>
                    </div>
                    <h5 className="month-item__title">
                      6 окружных мероприятий клуба
                    </h5>
                    <p className="month-item__text">
                      <br />
                      Встречи предпринимателей с представителями региональных
                      сетевых торговых площадок в формате круглых...
                    </p>
                  </div>
                </div>
                <div className="month-item">
                  <img className="month-item__img" src={event2} alt="" />
                  <div className="month-item-container">
                    <div className="month-item-info">
                      <span className="month-item__date">
                        <img src={iconCalendar} alt="" />
                        17.08.2024
                      </span>
                      <span className="month-item__position">
                        <img src={iconPosition} alt="" />
                        Рамада
                      </span>
                    </div>
                    <h5 className="month-item__title">
                      6 окружных мероприятий клуба
                    </h5>
                    <p className="month-item__text">
                      <br />
                      Встречи предпринимателей с представителями региональных
                      сетевых торговых площадок в формате круглых...
                    </p>
                  </div>
                </div>
                <div className="month-item">
                  <img className="month-item__img" src={event2} alt="" />
                  <div className="month-item-container">
                    <div className="month-item-info">
                      <span className="month-item__date">
                        <img src={iconCalendar} alt="" />
                        17.08.2024
                      </span>
                      <span className="month-item__position">
                        <img src={iconPosition} alt="" />
                        Рамада
                      </span>
                    </div>
                    <h5 className="month-item__title">
                      6 окружных мероприятий клуба
                    </h5>
                    <p className="month-item__text">
                      <br />
                      Встречи предпринимателей с представителями региональных
                      сетевых торговых площадок в формате круглых...
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <span className="event-text">
            Чтобы быть в курсе всех мероприятий клуба
          </span>
          <button className="club__button">
            Вступить в клуб
            <div>
              <img src={arrowButton} alt="" />
            </div>
          </button>
        </div>
      </section>

      <section className="club-news">
        <img src={blackYellowCube} alt="" className="news-cube" />
        <div className="news-container">
          <img src={bgBlack} alt="" className="news-bg" />

          <div className="news-header">
            <span className="news-header__subtitle">интересно посмотреть</span>
            <h3 className="news-header__title">новости клуба</h3>
          </div>

          <div className="news-content">
            <button
              className="news-content__button news-content__button--left"
              onClick={() => handlePrev(sliderRef2)}
            >
              <img src={arrowSlider} alt="" />
            </button>
            <div className="news-content-slider">
              <Swiper
                ref={sliderRef2}
                modules={[Navigation]}
                spaceBetween={30}
                slidesPerView={2}
              >
                {news.map((news) => (
                  <SwiperSlide key={news.id}>
                    <div className="slider-item">
                      <img className="slider-item__img" src={news.img} alt="" />
                      <h5 className="slider-item__title">{news.title}</h5>
                      <p
                        className="slider-item__text"
                        dangerouslySetInnerHTML={{
                          __html: news.content
                        }}
                      ></p>
                    </div>
                  </SwiperSlide>
                ))}
              </Swiper>
            </div>
            <button
              onClick={() => handleNext(sliderRef2)}
              className="news-content__button news-content__button--right"
            >
              <img src={arrowSlider} alt="" />
            </button>
          </div>
          <h4 className="news__subtitle">Донецк город герой</h4>
        </div>
      </section>

      <section className="club-footer">
        <div className="footer-container">
          <img className="footer-cube" src={footerCube} alt="" />
          <img className="footer-bg" src={footerBg} alt="" />
          <div className="footer-logo">
            <img src={headerLogo1} alt="" />
            <img src={headerText} alt="" />
            <img src={headerLogo2} alt="" />
          </div>
          <div className="footer-nav">
            <Link to="#">мероприятия</Link>
            <Link to="#">новости клуба</Link>
            <Link to="#">контакты</Link>
            <Link to="#">о клубе</Link>
            <Link to="#">ценности</Link>
            <Link to="#">клуб в лицах</Link>
          </div>
          <div className="footer-content">
            <span>
              Подпишись. чтобы быть
              <br />в курсе новостей
            </span>
            <div className="content__social-icons">
              <Link to="#">
                <div className="social-icon">
                  <img src={iconTg} alt="" />
                </div>
              </Link>
              <Link to="#">
                <div className="social-icon">
                  <img src={iconVk} alt="" />
                </div>
              </Link>
            </div>
            <Link className="content__link" to="#">
              Политика конфиденциальности
            </Link>
            <Link className="content__link" to="#">
              Согласие на обработку данных
            </Link>
          </div>
        </div>
      </section>
    </section>
  );
};
